#version 330 core
layout (location = 0) in vec3 vertexPosition;
layout (location = 2) in vec2 textureCoord;

uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;
 
out vec4 vColor;
out vec2 texCoord;

void main(void) {
    vec4 mvPosition = uMVMatrix * vec4(vertexPosition, 1.0);
    gl_Position = uPMatrix * mvPosition;
    vColor = vec4(0.0, 0.0, 1.0, 1.0);
    texCoord = vec2(textureCoord.x, -textureCoord.y);
}
